Search
Generic filters
Exact matches only
Search in title
Search in content
Filter by Categories
PHP Script
Plugin
Codecanyon
Crocoblock
Easy Digital Downloads
Elegantthemes
Gravityperks
MainWP WordPress Manager
Thrive
Ultimate Member
WeDevs
Woocommerce
Yithemes
Yoast
Themes
Themeforest
Elegantthemes
Studiopress
Themify Themes

MainWP Vulnerability Checker v4.1

MainWP Vulnerability Checker extension uses either the free MainWP NVD API or the paid WPScan Vulnerability Database API to bring you information about vulnerable plugins and themes on your Child Sites so you can act accordingly.

vulnerability-dashboard
vulnerability-details
vulnerability-settings

Get information on vulnerable plugins and themes and what the issues are, directly from your MainWP Dashboard.

  • The Vulnerability Extension gathers the latest information in real-time.
  • Get notified about vulnerabilities on your websites.
  • Update vulnerable plugins.
  • Delete vulnerable plugins.

MainWP NVD API

This is a free API provided by the National Institute of Standards and Technology (NIST) in the U.S. Department of Commerce.

The NIST NVD is the U.S. government repository of standards-based vulnerability management data represented using the Security Content Automation Protocol (SCAP). This data enables the automation of vulnerability management, security measurement, and compliance. The NVD includes databases of security checklist references, security-related software flaws, misconfigurations, product names, and impact metrics.

WPVulnDB API

The WPScan Vulnerability Database is an online browsable version of WPScan’s data files used to detect known WordPress core, plugin, and theme vulnerabilities. This database compiles by the WPScan Team and various other contributors since WPScan’s release. BruCON’s 5by5 project funded the development of the WPScan Vulnerability Database.

Changelog: MainWP Vulnerability Checker

Version 4.0.4 – 12-8-2021
Updated: PHP 8 compatibility

Version 4.0.3.1 – 9-10-2020
Updated: MainWP Dashboard 4.1 compatibility

Version 4.0.3 – 4-13-2020
Fixed: multiple typos

Version 4.0.2 – 3-6-2020
Fixed: multiple cosmetic issues
Added: option to disable automated checks
Preventative: security improvements

Version 4.0.1 – 10-1-2019
Added: option to save WPVulnDB Token
Added: saveState property to the sites list
Added: colReorder property to the sites list
Added: horizontal scroll to the sites list
Updated: support for WPVulnDB API v3
Updated: multiple cosmetic updates

Version 4.0 – 8-28-2019
Updated: extension UI/UX redesign
Updated: support for the MainWP 4.0

Version 1.5 – 10-19-2018
Fixed: an issue with triggering checks via an external cron job

Version 1.4 – 6-29-2018
Updated: plugin/theme update button will not show if there is no update available

Version 1.3 – 4-19-2018
Fixed: an issue with an empty response from WPVulnDB server

Version 1.2 – 1-26-2018
Fixed: an issue with a missing hook parameter

Version 1.1 – 12-15-2017
Fixed: an issue with the extension activation
Fixed: an issue with forcing the sites recheck process
Added: French translation

Version 1.0 – 2-24-2017
First version

⭐See also: summary of all MainWP wordpress manager plugins

Download MainWP Vulnerability Checker v4.1 Nulled

Note: Maybe you need to unzip before installing plugin. We do not give any guarantee if any theme/plugin contains virus. Please check on Virustotal before using it on localhost.